Subject: [PATCH 4/4] clk: mvebu: Expand mv98dx3236-core-clock support

From: [email-masked] (Stephen Boyd)
Date: Fri, 10 Feb 2017 09:21:20 -0800

On 02/08, Chris Packham wrote:
> On 08/02/17 23:53, Arnd Bergmann wrote:
> > On Tuesday, February 7, 2017 3:07:37 AM CET Chris Packham wrote:
> >>>
> >>> Actually I wonder if I can try a bit harder to keep a system booting.
> >>> The following might work
> >>> 1) add the compatible strings to the existing armada clock drivers.
> >>> 2) update the dts to use the new compatible strings.
> >>> 3) add the new driver and remove the compatible strings from the armada
> >>> drivers.
> >>>
> >>> #1 would still upset checkpatch.pl because the documentation would only
> >>> arrive in #2.
> >>
> >> Actually upon testing #1 is unnecessary. I lose some of the gated clocks
> >> but nothing that prevents booting.
> >
> > Just to be sure: this means we can merge 2) and 3) independently and
> > having just one of them will not cause regressions over what we have
> > today?
> >
> 
> Correct. And that's what I sent out as v2.
> 
> http://lists.infradead.org/pipermail/linux-arm-kernel/2017-February/486467.html
> http://lists.infradead.org/pipermail/linux-arm-kernel/2017-February/486471.html
> 

Ok... so I'll apply the 6/6 patch now to the clk tree.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project